gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A base class for widgets with alignments and padding.

The GtkMisc widget is an abstract widget which is not useful itself, but is used to derive subclasses which have alignment and padding attributes.

The horizontal and vertical padding attributes allows extra space to be added around the widget.

The horizontal and vertical alignment attributes enable the widget to be positioned within its allocated area. Note that if the widget is added to a container in such a way that it expands automatically to fill its allocated area, the alignment settings will not alter the widgets position.

Gtk.Widget Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Sets the alignment of the widget. The horizontal alignment, from 0 (left) to 1 (right). The vertical alignment, from 0 (top) to 1 (bottom).
- Method
  System.Void `` `` Sets the amount of space to add around the widget. The amount of space to add on the left and right of the widget, in pixels. The amount of space to add on the top and bottom of the widget, in pixels.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Misc, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Internal constructor
  Internal constructor.
  A
- Property
  System.Single The vertical alignment The vertical alignment, from 0 (top) to 1 (bottom). The vertical alignment
- Property
  System.Single The horizontal alignment The horizontal alignment, from 0 (left) to 1 (right). The horizontal alignment
- Property
  System.Int32 The amount of space to add on the left and right of the widget, in pixels. The amount of space to add on the left and right of the widget, in pixels. The amount of space to add on the left and right of the widget, in pixels.
- Property
  System.Int32 The amount of space to add on the top and bottom of the widget, in pixels. The amount of space to add on the top and bottom of the widget, in pixels. The amount of space to add on the top and bottom of the widget, in pixels.
- Method
  System.Void `` `` Gets the padding in the X and Y directions of the widget. See ). Location to store padding in the X direction, or . Location to store padding in the Y direction, or .
- Method
  System.Void `` `` Gets the X and Y alignment of the widget within its allocation. See . Location to store X alignment of misc, or . Location to store Y alignment of misc, or .
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a
  Protected constructor.